  //INNER IMPACT SOURCE CODE FOR POV 3.6
  // sprocket(terraform) s jefferies sep 2004
  
  //------------------------COMMAND LINE USED FOR RENDER--------------------
  
 //cmd: +fn +am2 +a0.2 
                                                           
                                                           
 //-------------------------------------------------------
sky_sphere {
  pigment {
    granite scale .002
    color_map { [0.8 color rgb <0.0,0.0,0.0>] [1.0 color rgb <.5,.5,0.5>] }
  }  pigment {
    granite scale .01 rotate 88
    color_map { [0.77 color rgbt <0.0,0.0,0.0,.75>] [1.0 color rgb <.7,.7,.7>] }}}

global_settings { // used in global_settings, sets image gamma in relation to display gamma
  assumed_gamma 1.75}

 // set a color of the background (sky) as sku sphere is part trasmit.
 background { color rgb <0.0, 0.0, 0.0> }
// ----------------------------------------

camera {      //location <-55,-21,-21>
  location  <0.0, -21.5, 0.0>
  direction 1.5*z
  right     x*image_width/image_height
  look_at   <0.0, -0.0,  0.0>
angle 70}


light_source { 
  <0, -0, 0>            // light's position
  color rgb <1, 1, 1>*2  //  color white
  translate <0, -0, -0/2> shadowless}//no shadows in scence to highlight the colors
//-------------------------------------------------------------------begin declares while loops
#declare a=0;
#declare b=200;

#declare pattmod = .2 ; //0-1 ------------------------------------ //changes block pattern 
//union here lets all blocks  become one....
#declare CONE1= union{

//-begin loop to build cone-------------------------------------
#while (a<b)

box {
  <-2, -1, -2>  // one corner position <X1 Y1 Z1>
  < 0,  0,  0>  // other corner position <X2 Y2 Z2>
  scale .1
 //pigment{rgb <sin(a)+pattmod,cos(a)/2,sin(a+.9)>*1.0 filter sin(a+pattmod)}
  pigment{rgb <sin(a),cos(a/pattmod)/2,cos(a+.9)>*1.0 filter .8}//sin(a+a)}
  finish{ambient 0.5 diffuse .3 reflection .29 specular .6 phong 2 phong_size 12}interior{ior 1.3} 
  rotate 45+cos(a/pi) translate<.0,-a/8,a/pi/16>rotate<sin(a),a*60,0>}#local a=a+.1;  
  #end scale <1.99,.151,1.0>*cos(a/2)*3 translate<0,2,0> }; //this is the union close

//-------end cone loop--------------------------......
 
//add reflective spheres
#declare in= union {sphere { <-5, -12.0, 2>, 2.2 finish{reflection .5 diffuse .5}no_shadow}
sphere { <-3.7, -11.5, -1.76>, 1.3 finish{reflection .5 diffuse .5}no_shadow}
sphere { <-1.0, -11.0, -2.>, 1.0 finish{reflection .5 diffuse .5}no_shadow}
sphere { <1, -10.0, -1>, 0.75 finish{reflection .5 diffuse .5}no_shadow}
sphere { <.5, -5.0, .98>, 0.6 finish{reflection .5 diffuse .5}no_shadow}
sphere { <-0.9, -5.0,- .8>, 0.4 finish{reflection .5 diffuse .5}no_shadow}
sphere { <-0.0, -2.5,- .0>, 0.25 finish{reflection .5 diffuse .5}no_shadow}};
object{in scale 1 no_shadow}         //balls
object{in rotate<0,180,0> scale 1 no_shadow} //balls

//----------------------------------four cones of blocks forming closed shape to put camera in.
// two either end behind each other
object{CONE1}
object{CONE1 scale 2
 rotate <0,180,0>translate <0,20,0>}
object{CONE1 rotate<180,0,0> translate<0,-20,0>}
object{CONE1 rotate<180,0,0> translate<0,-40,0>}

sphere { <-0.0, -11.5, -0.0>, 1 pigment{rgb<0,0,0>transmit.9 }
interior {ior 1.035}finish{reflection .5 diffuse .5}no_shadow}//----ball in center of eye 

sphere { <0.0, -21.0, 0.0>//lens around camera  glass sphere
, 1 pigment{rgb<0,0,0>transmit.9 }interior {ior pi}finish{reflection .3 diffuse .5}no_shadow} 
//end of code.

